# PRAELECTOR

## Assistant de lecture du latin

### Principes
Praelector a pour but d'aider le latiniste à
lire une phrase latine le plus naturellement
possible, c'est à dire en commençant par le
premier mot, et en terminant par le dernier.
On ne passe au mot suivant que lorsqu'on a
tiré le maximum du précédent. C'est William G. Hale
(1849-1928) qui a clairement posé dans son manifeste
[The Art Of Reading Latin](https://archive.org/details/TheArtOfReadingLatin)
les principes d'une telle lecture, radicalement différente de celle de nos
langues modernes. 

La langue latine est très compacte, souvent elliptique, et sa structure
syntaxique tient beaucoup moins à la place des mots qu'à leur morphologie.
Cela ne veut pas dire que l'ordre des mots n'a pas d'importance, mais que,
bien au contraire, cet ordre a un but expressif, esthétique et stylistique.

En développant Praelector, je me suis aperçu que le latiniste
fait, en lisant, de très nombreux choix bien difficiles à justifier.
Chacun de ces choix permet d'éliminer les fausses pistes. Mon but est donc
de permettre à l'élève de voir dans les détails comment un maître lit,
et d'essayer de l'imiter.

### Utilisation
L'interface de Praelector est basée sur les hyperliens, elle fonctionne
comme une page web. Pour ceux qui préfèrent le clavier à la souris, la
touche '/' affiche un raccourci clavier devant chaque hyperlien.

On peut ainsi avancer ou reculer d'un mot, ou même sauter directement à un
mot plus éloigné. Les déplacement les plus courants sont le passage au mot
suivant, le recul à un mot déjà lu pour affiner sa traduction, et le retour
au dernier mot lu. À chaque mot sont proposées :
- une liste des lemmatisations du mot, et un choix de traductions ;
- une liste de liens syntaxiques ordonnés du
  plus au moins probable, et l'utilisateur sélectionne le lien qui lui
  convient le plus. La traduction globale de la phrase se construit en
  même temps.

Après avoir lu une phrase dans Praelector, on peut enregistrer son parcours
dans un fichier. L'élève qui charge à son tour ce fichier dans Praelector
se retrouve devant une phrase à traduire, mais tous les choix du maître sont
surlignés. Inversement, le maître peut relire le parcours de l'élève et
identifier ce qu'il a compris et ce qui lui manque.

Praelector est encore en phase de développement, et cette version est une
version de test. Vous êtes invité à donner votre avis à l'auteur.

